Bug 1413968 - [z-stream clone - 3.6.11] After hotplugging CPU results in frequent KeyError.
Summary: [z-stream clone - 3.6.11] After hotplugging CPU results in frequent KeyError.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.6.9
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-3.6.11
: ---
Assignee: Milan Zamazal
QA Contact: Israel Pinto
URL:
Whiteboard:
Depends On: 1408790
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 13:13 UTC by rhev-integ
Modified: 2020-06-11 13:12 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, there were frequent KeyError tracebacks in the vdsm.log after CPU hotplug. Now, these errors are no longer produced by VDSM after CPU hotplug.
Clone Of: 1408790
Environment:
Last Closed: 2017-05-09 17:04:00 UTC
oVirt Team: Virt
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1210 0 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.11 2017-05-09 21:03:09 UTC
oVirt gerrit 69999 0 None None None 2017-01-17 13:14:06 UTC
oVirt gerrit 70356 0 None None None 2017-01-17 13:14:06 UTC

Description rhev-integ 2017-01-17 13:13:26 UTC
+++ This bug is a downstream clone. The original bug is: +++
+++   bug 1408790 +++
======================================================================

After hotplugging CPU results in following KeyError:

~~~
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/vdsm/executor.py", line 192, in _execute_task
    callable()
  File "/usr/share/vdsm/virt/periodic.py", line 289, in __call__
    self._execute()
  File "/usr/share/vdsm/virt/periodic.py", line 345, in _execute
    self._vm.updateNumaInfo()
  File "/usr/share/vdsm/virt/vm.py", line 5181, in updateNumaInfo
    self._numaInfo = numaUtils.getVmNumaNodeRuntimeInfo(self)
  File "/usr/share/vdsm/numaUtils.py", line 116, in getVmNumaNodeRuntimeInfo
    vnode_index = str(vcpu_to_vnode[vcpu_id])
KeyError: 8
~~~

We already have upstream patch for the same:

https://gerrit.ovirt.org/#/c/65562/1..4

But latest Package - vdsm-python-4.18.15.3-1.el7ev.noarch.rpm does not have the patch.

(Originally by Ameya Charekar)

Comment 1 rhev-integ 2017-01-17 13:13:35 UTC
Yes, this is fixed in 4.1. Is that enough or an earlier release is requested?

(Originally by michal.skrivanek)

Comment 5 rhev-integ 2017-01-17 13:13:53 UTC
Patch backported to 4.0, backport to 3.6 posted.

(Originally by Milan Zamazal)

Comment 8 Israel Pinto 2017-03-28 19:18:42 UTC
Verify with:
Red Hat Enterprise Virtualization Manager Version: 3.6.11-0.1.el6


Steps:
1. Create VM with 1 CPU and Run it
2. Hotplug CPU to 2 and check vdsm log 

Results:
CPU is updated, No Error in vdms log

Comment 10 errata-xmlrpc 2017-05-09 17:04:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1210


Note You need to log in before you can comment on or make changes to this bug.